## org.apache.catalina.connector
Class CoyoteInputStream

    java.lang.Object
      java.io.InputStream
          javax.servlet.ServletInputStream
              org.apache.catalina.connector.CoyoteInputStream

public class CoyoteInputStream
extends javax.servlet.ServletInputStream

This class handles reading bytes.

Author:
  Remy Maucherat, Jean-Francois Arcand

Field Summary
`protected InputBuffer` `ib`

Constructor Summary
`protected` `CoyoteInputStream(InputBuffer ib)`

Method Summary
`int` `available()`
`protected java.lang.Object` `clone()` Prevent cloning the facade.
`void` `close()` Close the stream Since we re-cycle, we can't allow the call to super.close() which would permantely disable us.
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`int` `readLine(byte[] b, int off, int len)`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ib

    protected InputBuffer ib

Constructor Detail

### CoyoteInputStream

    protected CoyoteInputStream(InputBuffer ib)

Method Detail

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Prevent cloning the facade.

  Throws:
    `java.lang.CloneNotSupportedException`

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### available

    public int available()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLine

    public int readLine(byte[] b,
                        int off,
                        int len)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Close the stream Since we re-cycle, we can't allow the call to super.close() which would permantely disable us.

  Throws:
    `java.io.IOException`

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.